---
title: "Create Business Offer Metafield"
description: "Use POST /business/{business_id}/offers/{offer_id}/metafields to create a metafield on a business offer."
canonical: https://docs.ordering.co/api-reference/guides/create-business-offer-metafield/
---

# Create Business Offer Metafield

> **API operation:** [Open the endpoint in the API reference](https://docs.ordering.co/api-reference/#tag/business/POST/business/{business_id}/offers/{offer_id}/metafields)

Use `POST /business/{business_id}/offers/{offer_id}/metafields` to create a metafield on a business offer. The current public operation is `OfferMetafield.register`.

If available, the operation requires administrator or business-manager authentication. The operation verifies the business context and manager ownership, and associates the metafield with `offer_id`. `value_type` accepts `integer`, `decimal`, `boolean`, `text`, or `json` .

Metafield keys are validated dynamically for each offer. See [Extra attributes (Metafields)](https://docs.ordering.co/api-reference/guides/extra-attributes/) for shared concepts and [List business offer metafields](https://docs.ordering.co/api-reference/guides/get-business-offer-metafields/) for the related collection.

## OpenAPI reference

**Operation:** `POST /business/{business_id}/offers/{offer_id}/metafields`

**Path parameters**

| Name          | Type    | Required | Description |
| ------------- | ------- | -------- | ----------- |
| `business_id` | integer | Yes      | —           |
| `offer_id`    | integer | Yes      | —           |

**Request body fields**

| Name         | Type    | Required |
| ------------ | ------- | -------- |
| `model`      | any     | Yes      |
| `object_id`  | integer | Yes      |
| `value`      | any     | Yes      |
| `value_type` | string  | Yes      |

**Responses**

| Code | Description                           |
| ---- | ------------------------------------- |
| 200  | OK (Envelope)                         |
| 400  | Bad Request (ErrorResponse)           |
| 401  | Unauthorized                          |
| 404  | Not Found                             |
| 429  | Too Many Requests (ErrorResponse)     |
| 500  | Internal Server Error (ErrorResponse) |
| 503  | Service Unavailable (ErrorResponse)   |

[Open this operation in the API reference](https://docs.ordering.co/api-reference/#tag/business/POST/business/{business_id}/offers/{offer_id}/metafields)
